{-# LANGUAGE OverloadedStrings #-}

module Pipes.IRC.Server.Log
  ( logMsg )
where

import           Data.ByteString          as BS
import           Pipes.IRC.Message.Render
import           Pipes.IRC.Message.Types  ()
import           Pipes.IRC.Server.Types

logMsg :: IrcMessage -> IO ()
logMsg msg = BS.putStr $ BS.concat ["LOG: ", renderIrcMessage msg]
